 package contactlist.actions;

import java.util.List;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletSession;
import org.apache.jetspeed.portlet.User;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import contactlist.forms.Contact;

/**
 * @version 	1.0
 * @author
 */
public class MainAction extends AbstractAction {

	public ActionForward performAction(
		ActionMapping mapping,
		ActionForm form,
		User user,
		PortletRequest request)
		throws Exception {

		ActionErrors errors = new ActionErrors();
		ActionForward forward = new ActionForward(); // return value
		Contact contact = (Contact) form;  

		try {

				//Tracing
				if (log.isDebugEnabled())
					log.debug("MainViewAction entered");

				// Get the ContactList data, put it on session
				List contactList = broker.getContactList(user.getUserID());
				//HttpSession session = request.getSession();
				PortletSession session = (PortletSession) request.getSession();
				session.setAttribute(CONTACT_LIST, contactList);
				
		} catch (Exception e) {

			// Report the error using the appropriate name and ID.
			errors.add("name", new ActionError("id"));

		}

		// If a message is required, save the specified key(s)
		// into the request for use by the <struts:errors> tag.

		if (!errors.isEmpty()) {
		}
		// Write logic determining how the user should be forwarded.
		forward = mapping.findForward(MAIN_VIEW_PAGE);

		// Finish with
		return (forward);
	}
}
