@echo off
REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2003
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM        
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM        
REM       
REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   THIS BATCH FILE IS USED TO CONFIGURE WHERE YOU HAVE THE REQUIRED SOFTWARE FOR COMPLETION
REM   OF THIS LAB INSTALLED. YOU CAN UPDATE THESE ENVIRONMENT VARIABLES AND THE BATCH FILES
REM   USED SHOULD STILL RUN CORRECTLY.
REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   If you need to make updates, update the values on the SET= lines below. Pay close attention to the
REM   descriptions of what these values are....if you omit a "\" for example, the batch files will 
REM   obviously not work correctly. Your best option may be to create a backup of this file in the event
REM   something goes wrong in the update of this file.

REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   THIS BATCH FILE IS USED TO CONFIGURE WHERE YOU HAVE THE REQUIRED SOFTWARE FOR COMPLETION
REM   OF THIS LAB INSTALLED. YOU CAN UPDATE THESE ENVIRONMENT VARIABLES AND THE BATCH FILES
REM   USED SHOULD STILL RUN CORRECTLY.
REM + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
REM   If you need to make updates, update the values on the SET= lines below. Pay close attention to the
REM   descriptions of what these values are....if you omit a "\" for example, the batch files will 
REM   obviously not work correctly. Your best option may be to create a backup of this file in the event
REM   something goes wrong in the update of this file.
REM ***************************************************************************************************
REM   DB2INSTALLDRIVE 
REM                       is the drive on which DB2 is installed...specify drive letter followed by a ":"
REM ***************************************************************************************************
SET DB2INSTALLDRIVE=C:

REM ***************************************************************************************************
REM   DB2INSTALLDIRECTORY 
REM                       is the directory where DB2 is installed. Specify up through SQLLIB and 
REM                       a "\" is required at the beginning. For example, if DB2 is installed in 
REM                       C:\Program Files, you would have "\Program Files\SQLLIB" for this value.
REM ***************************************************************************************************
SET DB2INSTALLDIRECTORY=\SQLLIB

REM ***************************************************************************************************
REM   DB2INSTALLDIRECTORY_USEDWITHWSADMIN
REM                       is the directory where DB2 is installed -- see notes for DB2INSTALLDIRECTORY.
REM                       The difference, however, is a "/" vs. the "\".
REM ***************************************************************************************************
SET DB2INSTALLDIRECTORY_USEDWITHWSADMIN=/SQLLIB

REM ***************************************************************************************************
REM   IRAD_INSTALL_DRIVE
REM                       is the drive on which the IBM Rataional Application Developer is
REM                       installed...specify drive letter followed by a ":"
REM ***************************************************************************************************
SET IRAD_INSTALL_DRIVE=C:

REM ***************************************************************************************************
REM   IRAD_INSTALL_PATH
REM                       is the directory where the IBM Rational Application Developer is
REM                       installed. A "\" is required at the beginning of this path.
REM ***************************************************************************************************
SET IRAD_INSTALL_PATH=\Program Files\IBM\Rational\SDP\6.0

REM ***************************************************************************************************
REM   WEBSPHERE_INSTALL_DRIVE
REM                       is the drive on which the IBM Rational Application Developer WebSphere
REM                       v6.0 runtime is installed.  This will be the same as the
REM                       IRAD_INSTALL_DRIVE parameter above.
REM ***************************************************************************************************
SET WEBSPHERE_INSTALL_DRIVE=C:

REM ***************************************************************************************************
REM   WEBSPHERE_INSTALL_PATH
REM                       is the path in which the WebSphere Studio Application Developer WebSphere
REM                       Server v6.0 runtime is installed.  This will be based off of the
REM                       IRAD_INSTALL_PATH parameter above.
REM ***************************************************************************************************
SET WEBSPHERE_INSTALL_PATH=\runtimes\base_v6

REM ***************************************************************************************************
REM   WEBSPHERE_PROFILE_NAME
REM                       is the name of the instance that called scripts should work against.
REM ***************************************************************************************************
SET WEBSPHERE_PROFILE_NAME=default

REM ***************************************************************************************************
REM   WEBSPHERE_PROFILE_PATH
REM                       is the path at which the profile name listed above can be found on the system
REM                       This variable should not be edited and depends on the WebSphere variables
REM                       specified above.
REM ***************************************************************************************************
SET WEBSPHERE_PROFILE_PATH=%IRAD_INSTALL_DRIVE%%IRAD_INSTALL_PATH%%WEBSPHERE_INSTALL_PATH%


