CREATE PROCEDURE WSDEMO.SPEXSQL (IN LNAME VARCHAR(50))
	DYNAMIC RESULT SETS 1
	READS SQL DATA
	NOT DETERMINISTIC
	LANGUAGE SQL
BEGIN
	DECLARE C1 CURSOR WITH RETURN FOR
		SELECT
			WSDEMO.ACCOUNT.USERID,
			WSDEMO.ACCOUNT.EMAIL,
			WSDEMO.ACCOUNT.FIRSTNAME,
			WSDEMO.ACCOUNT.LASTNAME,
			WSDEMO.PROFILE.LANGPREF,
			WSDEMO.PROFILE.FAVCATEGORY
		FROM
			WSDEMO.ACCOUNT, WSDEMO.PROFILE
		WHERE
			WSDEMO.ACCOUNT.USERID = WSDEMO.PROFILE.USERID AND
			WSDEMO.ACCOUNT.LASTNAME = LNAME;
	OPEN C1;
END
