@echo off
REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2002, 2004
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM
REM

call ..\..\Common\setupVARs.bat
title Loading database - Create and Populate database PetsDB

rem invoke db2 command line and run loadDataBase script

rem parameters are:
rem                1=db2 userid
rem                2=db2 password

rem SET MYWORKINGDIRECTORY="C:\Labfiles60\DBTools\PetsDB"
rem @pushd %MYWORKINGDIRECTORY%
cls
echo.
echo ****************************************************************
echo  ***************************** ********************************
echo   ***************************   ******************************
echo    *************************     ****************************
echo     ***********************       **************************
echo      *********************         ************************
echo       *******************           **********************
echo.
echo          About to drop the database called PetsDB!
echo.
echo    	  Hit Ctrl-C now to abort this action
echo             if you do not wish for this to happen.
echo.
echo       *******************           **********************
echo      *********************         ************************
echo     ***********************       **************************
echo    *************************     ****************************
echo   ***************************   ******************************
echo  ***************************** ********************************
echo ****************************************************************

pause

db2start

call CreatePetsDB.bat %1 %2 > PetsDBLoadDB.log 2>&1
if errorlevel 1 goto LoadFailed

echo.
echo PetsDB database has been created and loaded
goto exit

:LoadFailed
cls
echo.
echo.
echo Warning: the PetsDB database for this Lab has experienced a problem.
echo Try looking at the PetsDBLoadDB.log file.
echo.
echo.
echo.
echo Parameters are:
echo                1=Db2 userid
echo                2=DB2 password
pause

:exit
rem @popd
title Command Prompt
