<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portletAPI:init />
<LINK rel="stylesheet" type="text/css"
	href='<%= response.encodeURL("/theme/stylesheet.css") %>' title="Style">
<f:view>
	<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/ContactListEditDetails.java" --%><%-- /jsf:pagecode --%>
	<H3>Edit Contact Details</H3>
	<hx:scriptCollector id="scriptCollector1"><h:form styleClass="form" id="form1"><P><h:commandLink
				styleClass="commandLink" id="link1" action="#{pc_ContactListEditDetails.doLink1Action}">
				<h:outputText id="text1" styleClass="outputText"
					value="Back to Contact List Editor"></h:outputText>
			</h:commandLink><BR>
			<BR><table>
	<tbody>
		<tr>
	<td align="left">Title:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text2" value="#{pc_ContactListEditDetails.contact.title}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">First Name:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text3" value="#{pc_ContactListEditDetails.contact.firstName}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Last Name:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text4" value="#{pc_ContactListEditDetails.contact.lastName}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Address:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text5" value="#{pc_ContactListEditDetails.contact.address}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">City:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text6" value="#{pc_ContactListEditDetails.contact.city}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">State:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text7" value="#{pc_ContactListEditDetails.contact.state}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Zip:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text8" value="#{pc_ContactListEditDetails.contact.zip}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Country:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text9" value="#{pc_ContactListEditDetails.contact.country}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Company:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text10" value="#{pc_ContactListEditDetails.contact.company}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Business Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text11" value="#{pc_ContactListEditDetails.contact.businessPhone}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Mobile Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text12" value="#{pc_ContactListEditDetails.contact.mobilePhone}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Fax Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text13" value="#{pc_ContactListEditDetails.contact.faxPhone}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Email:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text14" value="#{pc_ContactListEditDetails.contact.email}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
<tr>
	<td align="left">Web:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="text15" value="#{pc_ContactListEditDetails.contact.web}" styleClass="inputText"  >
</h:inputText>
</td>
</tr>
</tbody>
</table><h:messages styleClass="messages" id="messages1"></h:messages>
<BR>
<hx:commandExButton id="button1" styleClass="commandExButton" type="submit" value="Update"  action="#{pc_ContactListEditDetails.doButton1Action}">
				<f:param name="contactID" value="#{requestScope.contactID}"></f:param>
				<f:param name="owner" value="#{requestScope.owner}"></f:param>
			</hx:commandExButton>
			<hx:commandExButton type="reset" value="Reset"
				styleClass="commandExButton" id="button2"></hx:commandExButton>
			<P></P>
			<h:inputHidden value="#{pc_ContactListEditDetails.contact.owner}"
				id="ownerid"></h:inputHidden>
			<h:inputHidden value="#{pc_ContactListEditDetails.contact.contactID}"
				id="contactid"></h:inputHidden>
		</h:form>
</hx:scriptCollector></f:view>