<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portletAPI:init />
<LINK rel="stylesheet" type="text/css"
	href='<%= response.encodeURL("/theme/stylesheet.css") %>' title="Style">
<f:view>
	<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/ContactListViewDetails.java" --%><%-- /jsf:pagecode --%>
	<H3>Contact Details</H3>
	<hx:scriptCollector id="scriptCollector1">
		<h:form styleClass="form" id="form1">
			<h:commandLink styleClass="commandLink" id="link1" action="#{pc_ContactListViewDetails.doLink1Action}">
				<h:outputText id="text1" styleClass="outputText"
					value="Back to Contact List"></h:outputText>
			</h:commandLink>
			<BR>
			<BR>
			<table>
	<tbody>
		<tr>
	<td align="left">Title:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text2" value="#{pc_ContactListViewDetails.contact.title}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">First Name:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text3" value="#{pc_ContactListViewDetails.contact.firstName}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Last Name:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text4" value="#{pc_ContactListViewDetails.contact.lastName}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Address:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text5" value="#{pc_ContactListViewDetails.contact.address}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">City:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text6" value="#{pc_ContactListViewDetails.contact.city}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">State:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text7" value="#{pc_ContactListViewDetails.contact.state}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Zip:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text8" value="#{pc_ContactListViewDetails.contact.zip}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Country:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text9" value="#{pc_ContactListViewDetails.contact.country}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Company:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text10" value="#{pc_ContactListViewDetails.contact.company}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Business Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text11" value="#{pc_ContactListViewDetails.contact.businessPhone}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Mobile Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text12" value="#{pc_ContactListViewDetails.contact.mobilePhone}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Fax Phone:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text13" value="#{pc_ContactListViewDetails.contact.faxPhone}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Email:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text14" value="#{pc_ContactListViewDetails.contact.email}" styleClass="outputText" >
</h:outputText></td>
</tr>
<tr>
	<td align="left">Web:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:outputText id="text15" value="#{pc_ContactListViewDetails.contact.web}" styleClass="outputText" >
</h:outputText></td>
</tr>
</tbody>
</table><h:messages styleClass="messages" id="messages1"></h:messages>
		</h:form>
	</hx:scriptCollector>
</f:view>