package contactlist.actions;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.User;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import contactlist.forms.Contact;

/**
 * @version 	1.0
 * @author
 */
public class DetailsAction extends AbstractAction {

	public ActionForward performAction(
		ActionMapping mapping,
		ActionForm form,
		User user,
		PortletRequest request)
		throws Exception {

		ActionErrors errors = new ActionErrors();
		ActionForward forward = new ActionForward(); // return value
		//Contact contact = (Contact) form;
		Contact selectedContactForm = (Contact) form;

		try {

			//  Tracing
			if (log.isDebugEnabled())
				log.debug("DetailViewAction entered");

			//  Get the userid and the selected contact oid
			String userid = user.getUserID();
			//System.out.println("selectedContactForm: " + selectedContactForm);
			String oid = selectedContactForm.getSelectedContact();
			//System.out.println("selectedContactForm.getSelectedContact(): " + oid);

			//  Get the Contact element and put it on request
			Contact contact = broker.getContact(userid, oid);
			//PortletSession session = (PortletSession) request.getSession();
			request.setAttribute(CONTACT, contact); 
			//session.setAttribute(CONTACT, contact);

		} catch (Exception e) {

			// Report the error using the appropriate name and ID.
			errors.add("name", new ActionError("id"));

		}

		// If a message is required, save the specified key(s)
		// into the request for use by the <struts:errors> tag.

		if (!errors.isEmpty()) {
		}

		forward = mapping.findForward(DETAIL_VIEW_PAGE);

		// Finish with
		return (forward);
	}
}
