
/*==================================================================
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corp. 2003.  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation.  This sample code is
 * not part of any standard or IBM product and is provided to you
 * solely for the purpose of assisting you in the development of
 * your applications.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have
 * been advised of the possibility of such damages.
 *===============================================================*/

package contactlist.struts.utilities;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

/**
 * The base application specific exception class.
 * 
 * Creation date: (11/30/2003 10:00:00 PM)
 * @author: Tim Hanis
 */
public class AIMException extends Exception {

	/**
	 * AIMException constructor comment.
	 */
	protected AIMException() {
		super();
	}


	/**
	 * AIMException constructor comment.
	 * @param msg java.lang.String
	 */
	public AIMException(String msg) {
		super(msg);
	}

	/**
	 * Return the stack backtrace as a string
	 * @param out java.io.PrintWriter
	 */
	public String getStackTrace() {
		
		String backtrace = "";
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		PrintStream outStream = new PrintStream(out);
		printStackTrace(outStream);
		return out.toString();
		
	}
	
}
