@echo off
SETLOCAL
REM
REM         5630-A23, 5630-A22, (C) Copyright IBM Corporation, 2003
REM         All rights reserved. Licensed Materials Property of IBM
REM         Note to US Government users: Documentation related to restricted rights
REM         Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
REM         This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
REM
REM         This program may be used, executed, copied, modified and distributed
REM         without royalty for the purpose of developing, using,
REM         marketing, or distributing.
REM
REM

call "%~dp0setupVARS.bat"
call "%WEBSPHERE_PROFILE_PATH%\bin\setupCmdLine.bat"

if "%1" == "" goto usage

set LAB_PATH=%1
set DB_LOCATION=%LAB_PATH%databases/BANKDB
set DB_LOCATION_FOR_WSADMIN=%DB_LOCATION:\=/%

cls
echo.
echo *******************************************************************************
echo *******************************************************************************
echo **  Calling wsadmin with %~dp0setupBank.jacl script.
echo **  Database Name: %DB_LOCATION%
echo **  Hit Ctrl-C now to abort this action if you do not wish for this to happen.
echo *******************************************************************************
echo *******************************************************************************

pause

"%WAS_HOME%\bin\wsadmin" -f "%~dp0setupBank.jacl" "%DB_LOCATION_FOR_WSADMIN%"

echo.

goto end


:usage
echo.  
echo "Usage: setupBank.bat [LAB_PATH]"
echo.

:end

ENDLOCAL



