package com.ibm.websphere.samples.bank.ejb;
/**
 * Key class for Entity Bean: Customer
 */
public class CustomerKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: customerNumber
	 */
	public long customerNumber;
	/**
	 * Creates an empty key for Entity Bean: Customer
	 */
	public CustomerKey() {
	}
	/**
	 * Creates a key for Entity Bean: Customer
	 */
	public CustomerKey(long customerNumber) {
		this.customerNumber = customerNumber;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof com.ibm.websphere.samples.bank.ejb.CustomerKey) {
			com.ibm.websphere.samples.bank.ejb.CustomerKey o = (com.ibm.websphere.samples.bank.ejb.CustomerKey) otherKey;
			return ((this.customerNumber == o.customerNumber));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return ((new java.lang.Long(customerNumber).hashCode()));
	}
	/**
	 * @return Returns the customerNumber.
	 */
	public long getCustomerNumber() {
		return customerNumber;
	}
	/**
	 * @param customerNumber The customerNumber to set.
	 */
	public void setCustomerNumber(long customerNumber) {
		this.customerNumber = customerNumber;
	}
}