//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.util;

public class CustomerData implements java.io.Serializable {
    private long custNum;
    private String first;
    private String last;
    private String taxid;

    public CustomerData() {

    }

    /**
     * @param num
     * @param first
     * @param last
     * @param id
     */
    public CustomerData(long num, String first, String last, String id) {

        this.custNum = num;
        this.first = first;
        this.last = last;
        this.taxid = id;
    }

    /**
     * @return Customer Number
     */
    public long getCustNum() {
        return custNum;
    }

    /**
     * @return First Name of Customer
     */
    public String getFirst() {
        return first;
    }

    /**
     * @return Last Name of Customer
     */
    public String getLast() {
        return last;
    }

    /**
     * @return Customer Tax ID
     */
    public String getId() {
        return taxid;
    }
}
